> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/api/ru/publichnyi-api-exoclick/api-manual-rate-limiting.md).

# Ограничение частоты запросов

## Общие лимиты запросов

Для API установлен лимит в 150 запросов каждые 60 секунд. Все запросы учитываются в общем количестве. Каждый запрос, обработанный API, возвращает информацию об ограничении частоты запросов в HTTP-заголовках.

{% hint style="info" %}
**Примечание**: Ограничение частоты запросов основано как на имени пользователя, так и на IP-адресе. Поэтому для одного имени пользователя лимит составляет 150 запросов каждые 60 секунд, как и для одного IP-адреса.
{% endhint %}

## Лимиты запросов входа

Для запросов входа установлен лимит в **10 запросов каждые 60 секунд**. Все запросы учитываются в общем количестве.

{% hint style="info" %}
**Примечание**: IP-адрес и имя пользователя каждого выполненного запроса статистики будут учитываться в рамках этих лимитов.
{% endhint %}

## Лимиты запросов статистики

Для запросов статистики установлен лимит в 30 запросов в минуту для каждого IP-адреса и 25 запросов в минуту для каждого имени пользователя.

{% hint style="info" %}
**Примечание**: IP-адрес и имя пользователя каждого выполненного запроса статистики будут учитываться в рамках этих лимитов.
{% endhint %}

Например, если вы войдете в систему под своим именем пользователя на одном компьютере и сделаете 25 запросов статистики, следующий запрос завершится неудачей. Однако вы могли бы сменить имя пользователя и сделать еще 5 запросов статистики, прежде чем достигнете лимита по IP-адресу.

## Примеры

### Ограничение частоты запросов — пример 1

```bash
$ curl -i https://api.example.com/v2/statistics/a/date
```

```json
{
  "HTTP/1.1": "200 OK",
  "Date": "Fri, 24 Oct 2014 14:57:32 GMT",
  "Content-Type": "application/json",
  "Transfer-Encoding": "chunked",
  "X-Rate-Limit-Limit": 25,
  "X-Rate-Limit-Remaining": 44,
  "X-Rate-Limit-Reset": 27
}
```

Когда лимит частоты запросов превышен, будет *429 Слишком много запросов* HTTP-ошибка будет возвращаться при любых последующих запросах, пока лимит частоты запросов не будет сброшен. Как и при обычном запросе, информация об ограничении частоты запросов будет доступна в HTTP-заголовках.

### Ограничение частоты запросов — пример 2 (лимит превышен)

```bash
$ curl -i https://api.example.com/v2/statistics/a/date
```

```json
{
  "HTTP/1.1": "429 Слишком много запросов",
  "Date": "Fri, 24 Oct 2014 15:04:35 GMT",
  "Content-Type": "application/json",
  "Transfer-Encoding": "chunked",
  "X-Rate-Limit-Limit": 25,
  "X-Rate-Limit-Remaining": 0,
  "X-Rate-Limit-Reset": 12
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.exoclick.com/api/ru/publichnyi-api-exoclick/api-manual-rate-limiting.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
